﻿@model VerifyCodeViewModel
@{
    ViewBag.Title = "ورود با کد دو مرحله ای";
}

<div class="container">
    <div class="row mt-3">
        <div class="col-12">
            <h4 class="page-title"><span>@ViewBag.Title</span></h4>
        </div>
        <div class="col-md-6 order-md-3">
            <div class="card">
                <div class="card-body">
                    <div class="card-block">
                        <h5 class="card-title">Google Authenticator</h5><hr />
                        @using (Html.BeginForm("VerifyCode", "Account", new { ReturnUrl = Model.ReturnUrl }, FormMethod.Post, new { @class = "form-horizontal", role = "form" }))
                        {
                            @Html.AntiForgeryToken()
                            @Html.Hidden("provider", @Model.Provider)
                            @Html.Hidden("rememberMe", @Model.RememberMe)
                            <div class="form-group">
                                @Html.LabelFor(m => m.Code)
                                @Html.TextBoxFor(m => m.Code, new { @class = "form-control" })
                                @Html.ValidationMessageFor(m => m.Code, "", new { @class = "text-danger" })
                            </div>
                            <div class="form-group">
                                <label class="custom-control custom-checkbox">
                                    <input data-val="false" class="custom-control-input" id="RememberBrowser" name="RememberBrowser" type="checkbox">
                                    <input type="hidden" name="RememberBrowser" value="false">
                                    <span class="custom-control-indicator"></span>
                                    <span class="custom-control-description">
                                        این مرورگر را به خاطر بسپار
                                    </span>
                                </label>
                            </div>
                            <div class="form-group">
                                <input type="submit" value="ورود" class="btn btn-block btn-lg btn-primary" />
                            </div>
                        }
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

@section Scripts {
    @Scripts.Render("~/js/jqueryval")
}